hitimes gemインストール時のエラーの対処法

シェアしていただけると嬉しいです

[photo by Daniel Novta]

[photo by Daniel Novta]

環境

OS: OS X Mavericks 10.9.5
Xcode: 6.0.1
ruby: ruby 2.1.1p76 (2014-02-24 revision 45161) [x86_64-darwin13.0]
Rails: 4.0.5
gem: 2.2.2

hitimes gemインストール時にエラー発生

RailsでGemfileに新しく追加したgemをインストールしようとした時にエラーが発生しました。

エラーログ

エラーの指示通りに、sudoコマンド付きでhitimes gemのインストールを実行してみますが、エラーが出てしまいます。

エラーログ

解決方法

hitimes gemのインストールには、Xcodeの”License Agreement”が必要なようです。

そう言えば最近、Xcodeのアップデートをしたが、その後Xcodeを起動していなかった事に気づきました。

Xcodeを起動して、”License Agreement”をクリックしてXcodeのアップデートを実行します。
その後、再びインストールを試みました。

無事にインストールに成功しました。

最後にRailsプロジェクトのgemのインストールを完了させます。

シェアしていただけると嬉しいです

フォローしていただけると、ブログ更新を見逃しません

feedly2 push7

follow us in feedly


この記事をお届けした
アイデアハックの最新ニュース情報を、
いいねしてチェックしよう!